{
===============================================================================
  Copyright (©) 2007. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 
  Versión actual: 1.0.0
  Fecha versión actual: 
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
===============================================================================
}

unit uIDataModuleTiendaWeb;

interface

uses  
  uBizTiendaWeb, uBizOscAddressBook, uBizOscCustomers, uBizOscManufacturers,
  uBizOscProducts, uBizOscOrders;

type
  IDataModuleTiendaWeb = interface
  ['{E1208D47-C342-4DE1-879A-20F7689AB00A}']
    function GetItems: IBizTiendaWeb;
    function GetNextID(const DataSetName : String) : Integer;
    function GetItem(const ID_Empresa : Integer) : IBizTiendaWeb;
    function NewItem : IBizTiendaWeb;

    function GetOSCCustomers: IBizOSCCustomer;
    function GetOSCCustomer(const IDLocal : Integer): IBizOSCCustomer;
    function NewOSCCustomer : IBizOSCCustomer;

    function GetOSCManufacturers: IBizOSCManufacturer;
    function GetOSCManufacturer(const IDLocal : Integer): IBizOSCManufacturer;
    function NewOSCManufacturer : IBizOSCManufacturer;

    function GetOSCProducts: IBizOSCProduct;
    function GetOSCProduct(const IDLocal : Integer): IBizOSCProduct;
    function NewOSCProduct : IBizOSCProduct;

    function GetOSCOrders: IBizOscOrder;
    function GetOSCOrder(const IDLocal : Integer): IBizOscOrder;

    function GetNextIDOSC(const DataSetName : String) : Integer;    
  end;

implementation

end.
